/*************************************************/
#ifndef lint
static char *sccs_id = "%W% %G% %U%%Z%";
static char *rcs_id = "$Header: /home/tectum/leei/image/vimage-0.9.3/RCS/rle_ident.c,v 0.9.1.1 1991/12/16 18:11:05 leei Exp $";
#endif
/*---------------------------------------------*/

#include <vim/proto.h>
#include <vim/pFile.h>
#include "config.h"

#include <vim/ByteImageP.h>
#include <vim/RGBImageP.h>

#ifdef RLE

#include "rle.h"
#include "rle_code.h"
#include "rle_read.h"

char *rle_file_pattern    = "\\.rle$";		/* file tail regexp */

/* Read a two-byte "short" that started in VAX (LITTLE_ENDIAN) order */
#define VAXSHORT( var, fp )\
	{ var = fgetc(fp)&0xFF; var |= (fgetc(fp)) << 8; }

int
rle_ident _IMPL((in), pFILE in )
{
  unsigned char		head[2];
  unsigned short	val, magic = RLE_MAGIC;

  if ( pfpeek( (char *)head, 1, 2, in ) != 2 ) return False;
  /* compare a two-byte "short" that started in VAX (LITTLE_ENDIAN) order */
  val = head[ 0];
  val |= head[ 1 ] << 8;
  return( val == magic );
}	/*{ rle_ident() }*/

#endif		/* RLE */
